Unable to build Opticks in Ubuntu14.04

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Unable to build Opticks in Ubuntu14.04

Gaurav Parida
Hello,

I am trying to build Opticks from the pulled repository. I have already run the retrieve-dependencies.sh. Then I went to the code directory and tried to build using this command ( ./build.py --mode=release --dependencies=../Dependencies --build-opticks=core ), but I got this error http://www.fpaste.org/187289/ . After debugging build.py, I think the error is due to failure of process.Popen(...) command in line27. 

Any help regarding the same to solve the above problem will be highly appreciated. Thank you.

Regards,
Gaurav Parida

------------------------------------------------------------------------------
Download BIRT iHub F-Type - The Free Enterprise-Grade BIRT Server
from Actuate! Instantly Supercharge Your Business Reports and Dashboards
with Interactivity, Sharing, Native Excel Exports, App Integration & more
Get technology previously reserved for billion-dollar corporations, FREE
http://pubads.g.doubleclick.net/gampad/clk?id=190641631&iu=/4140/ostg.clktrk
_______________________________________________
Opticks-devs mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-devs
Reply | Threaded
Open this post in threaded view
|

Re: Unable to build Opticks in Ubuntu14.04

Gaurav Parida
Hello,

After, help from tclarke, I was able to install scons package and the opengl header packages and get the build started. After a while I got this traceback


After, trying to find for solutions to solve it, didn't give any clear results to solve the problem. Help please? Is this error due to a different version of g++ that is being used to compile? The g++ version that I am using is "g++ (Ubuntu 4.8.2-19ubuntu1) 4.8.2".

Thanks in advance.

Regards,
Gaurav Parida

PS : As my motivation is to contribute as well as learn lidar related work done till now. Thus, I am trying to build Opticks rather than using the existing binaries.

On Thu, Feb 19, 2015 at 12:41 PM, Gaurav Parida <[hidden email]> wrote:
Hello,

I am trying to build Opticks from the pulled repository. I have already run the retrieve-dependencies.sh. Then I went to the code directory and tried to build using this command ( ./build.py --mode=release --dependencies=../Dependencies --build-opticks=core ), but I got this error http://www.fpaste.org/187289/ . After debugging build.py, I think the error is due to failure of process.Popen(...) command in line27. 

Any help regarding the same to solve the above problem will be highly appreciated. Thank you.

Regards,
Gaurav Parida


------------------------------------------------------------------------------
Download BIRT iHub F-Type - The Free Enterprise-Grade BIRT Server
from Actuate! Instantly Supercharge Your Business Reports and Dashboards
with Interactivity, Sharing, Native Excel Exports, App Integration & more
Get technology previously reserved for billion-dollar corporations, FREE
http://pubads.g.doubleclick.net/gampad/clk?id=190641631&iu=/4140/ostg.clktrk
_______________________________________________
Opticks-devs mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-devs
Reply | Threaded
Open this post in threaded view
|

Re: Unable to build Opticks in Ubuntu14.04

tclarke
Administrator

It’s likely there are build issues with that version as it has a number of changes in command line options and implementation details (it’s c++11 compliant) compared to 4.4.7 which is what we typically build with. (our standard build is based on centos 6.5). You might be able to modify the two SConsctruct files (in Code/application and Code/application/PlugIns/src) and change the -melf_x86_64 to –m64

 

----------------------

Trevor R.H. Clarke

Software Engineer, Ball Aerospace

(937)320-7087

 

From: Gaurav Parida [mailto:[hidden email]]
Sent: Thursday, February 19, 2015 1:02 PM
To: [hidden email]
Subject: Re: [Opticks-devs] Unable to build Opticks in Ubuntu14.04

 

Hello,

 

After, help from tclarke, I was able to install scons package and the opengl header packages and get the build started. After a while I got this traceback

 

 

After, trying to find for solutions to solve it, didn't give any clear results to solve the problem. Help please? Is this error due to a different version of g++ that is being used to compile? The g++ version that I am using is "g++ (Ubuntu 4.8.2-19ubuntu1) 4.8.2".

 

Thanks in advance.

 

Regards,

Gaurav Parida

 

PS : As my motivation is to contribute as well as learn lidar related work done till now. Thus, I am trying to build Opticks rather than using the existing binaries.

 

On Thu, Feb 19, 2015 at 12:41 PM, Gaurav Parida <[hidden email]> wrote:

Hello,

 

I am trying to build Opticks from the pulled repository. I have already run the retrieve-dependencies.sh. Then I went to the code directory and tried to build using this command ( ./build.py --mode=release --dependencies=../Dependencies --build-opticks=core ), but I got this error http://www.fpaste.org/187289/ . After debugging build.py, I think the error is due to failure of process.Popen(...) command in line27. 

 

Any help regarding the same to solve the above problem will be highly appreciated. Thank you.

 

Regards,

Gaurav Parida

 



This message and any enclosures are intended only for the addressee. Please
notify the sender by email if you are not the intended recipient. If you are
not the intended recipient, you may not use, copy, disclose, or distribute this
message or its contents or enclosures to any other person and any such actions
may be unlawful. Ball reserves the right to monitor and review all messages
and enclosures sent to or from this email address.

------------------------------------------------------------------------------
Download BIRT iHub F-Type - The Free Enterprise-Grade BIRT Server
from Actuate! Instantly Supercharge Your Business Reports and Dashboards
with Interactivity, Sharing, Native Excel Exports, App Integration & more
Get technology previously reserved for billion-dollar corporations, FREE
http://pubads.g.doubleclick.net/gampad/clk?id=190641631&iu=/4140/ostg.clktrk
_______________________________________________
Opticks-devs mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-devs
Reply | Threaded
Open this post in threaded view
|

Re: Unable to build Opticks in Ubuntu14.04

Hotka, Michael

Hello…

 

On the Opticks engine, there is an Animation toolbar, which seems to be driven from the Animation classes in Opticks. I am modifying an Opticks plugin, which when a data cube is dropped into the plugin, the animation slider seems to get populated with information about the data cube, as well as control the playback of data from the cube.

 

I cannot find in my current code for the plugin, references to the animation class, signals or class inclusion. I have looked online for documentation or examples of plugins interfacing with the animation class, but didn’t find any.

 

How does my plugin and the animation class communicate?

 

Please point me at documentation I can read to understand this interface.

 

Thank you.

 

Mike



This message and any enclosures are intended only for the addressee. Please
notify the sender by email if you are not the intended recipient. If you are
not the intended recipient, you may not use, copy, disclose, or distribute this
message or its contents or enclosures to any other person and any such actions
may be unlawful. Ball reserves the right to monitor and review all messages
and enclosures sent to or from this email address.

------------------------------------------------------------------------------
Download BIRT iHub F-Type - The Free Enterprise-Grade BIRT Server
from Actuate! Instantly Supercharge Your Business Reports and Dashboards
with Interactivity, Sharing, Native Excel Exports, App Integration & more
Get technology previously reserved for billion-dollar corporations, FREE
http://pubads.g.doubleclick.net/gampad/clk?id=190641631&iu=/4140/ostg.clktrk
_______________________________________________
Opticks-devs mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-devs
Reply | Threaded
Open this post in threaded view
|

Re: Unable to build Opticks in Ubuntu14.04

tclarke
Administrator

There’s a convenience method that automatically creates and animates raster bands in the raster layer. Look at the Tools->Create Animation action. Your plugin could be using this. If you need to do other things with animations besides changing raster bands, that’s when you need to hook into the various signals. Specifically, the Animation::FrameChanged signal. There’s sample python code to demonstrate this: <a href="http://opticks.org/confluence/display/opticksExtras/Using&#43;animation&#43;callbacks&#43;to&#43;stabilize&#43;video"> http://opticks.org/confluence/display/opticksExtras/Using+animation+callbacks+to+stabilize+video  It’s a little out of date but should be pretty close to the current API.

You can also look at the Tracking code in COAN. Specifically this file: https://github.com/tclarke/coan/blob/master/Tracking/Code/Tracking/TrackingManager.cpp

 

----------------------

Trevor R.H. Clarke

Software Engineer, Ball Aerospace

(937)320-7087

 

From: Hotka, Michael [mailto:[hidden email]]
Sent: Thursday, February 19, 2015 2:51 PM
To: [hidden email]
Subject: Re: [Opticks-devs] Unable to build Opticks in Ubuntu14.04

 

Hello…

 

On the Opticks engine, there is an Animation toolbar, which seems to be driven from the Animation classes in Opticks. I am modifying an Opticks plugin, which when a data cube is dropped into the plugin, the animation slider seems to get populated with information about the data cube, as well as control the playback of data from the cube.

 

I cannot find in my current code for the plugin, references to the animation class, signals or class inclusion. I have looked online for documentation or examples of plugins interfacing with the animation class, but didn’t find any.

 

How does my plugin and the animation class communicate?

 

Please point me at documentation I can read to understand this interface.

 

Thank you.

 

Mike



This message and any enclosures are intended only for the addressee. Please
notify the sender by email if you are not the intended recipient. If you are
not the intended recipient, you may not use, copy, disclose, or distribute this
message or its contents or enclosures to any other person and any such actions
may be unlawful. Ball reserves the right to monitor and review all messages
and enclosures sent to or from this email address.



This message and any enclosures are intended only for the addressee. Please
notify the sender by email if you are not the intended recipient. If you are
not the intended recipient, you may not use, copy, disclose, or distribute this
message or its contents or enclosures to any other person and any such actions
may be unlawful. Ball reserves the right to monitor and review all messages
and enclosures sent to or from this email address.

------------------------------------------------------------------------------
Download BIRT iHub F-Type - The Free Enterprise-Grade BIRT Server
from Actuate! Instantly Supercharge Your Business Reports and Dashboards
with Interactivity, Sharing, Native Excel Exports, App Integration & more
Get technology previously reserved for billion-dollar corporations, FREE
http://pubads.g.doubleclick.net/gampad/clk?id=190641631&iu=/4140/ostg.clktrk
_______________________________________________
Opticks-devs mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-devs
Reply | Threaded
Open this post in threaded view
|

Re: Unable to build Opticks in Ubuntu14.04

Hotka, Michael

Thank you for this.

 

Mike

 

From: Clarke, Trevor [mailto:[hidden email]]
Sent: Thursday, February 19, 2015 1:01 PM
To: [hidden email]
Subject: Re: [Opticks-devs] Unable to build Opticks in Ubuntu14.04

 

There’s a convenience method that automatically creates and animates raster bands in the raster layer. Look at the Tools->Create Animation action. Your plugin could be using this. If you need to do other things with animations besides changing raster bands, that’s when you need to hook into the various signals. Specifically, the Animation::FrameChanged signal. There’s sample python code to demonstrate this: http://opticks.org/confluence/display/opticksExtras/Using+animation+callbacks+to+stabilize+video  It’s a little out of date but should be pretty close to the current API.

You can also look at the Tracking code in COAN. Specifically this file: https://github.com/tclarke/coan/blob/master/Tracking/Code/Tracking/TrackingManager.cpp

 

----------------------

Trevor R.H. Clarke

Software Engineer, Ball Aerospace

(937)320-7087

 

From: Hotka, Michael [[hidden email]]
Sent: Thursday, February 19, 2015 2:51 PM
To: [hidden email]
Subject: Re: [Opticks-devs] Unable to build Opticks in Ubuntu14.04

 

Hello…

 

On the Opticks engine, there is an Animation toolbar, which seems to be driven from the Animation classes in Opticks. I am modifying an Opticks plugin, which when a data cube is dropped into the plugin, the animation slider seems to get populated with information about the data cube, as well as control the playback of data from the cube.

 

I cannot find in my current code for the plugin, references to the animation class, signals or class inclusion. I have looked online for documentation or examples of plugins interfacing with the animation class, but didn’t find any.

 

How does my plugin and the animation class communicate?

 

Please point me at documentation I can read to understand this interface.

 

Thank you.

 

Mike



This message and any enclosures are intended only for the addressee. Please
notify the sender by email if you are not the intended recipient. If you are
not the intended recipient, you may not use, copy, disclose, or distribute this
message or its contents or enclosures to any other person and any such actions
may be unlawful. Ball reserves the right to monitor and review all messages
and enclosures sent to or from this email address.



This message and any enclosures are intended only for the addressee. Please
notify the sender by email if you are not the intended recipient. If you are
not the intended recipient, you may not use, copy, disclose, or distribute this
message or its contents or enclosures to any other person and any such actions
may be unlawful. Ball reserves the right to monitor and review all messages
and enclosures sent to or from this email address.



This message and any enclosures are intended only for the addressee. Please
notify the sender by email if you are not the intended recipient. If you are
not the intended recipient, you may not use, copy, disclose, or distribute this
message or its contents or enclosures to any other person and any such actions
may be unlawful. Ball reserves the right to monitor and review all messages
and enclosures sent to or from this email address.

------------------------------------------------------------------------------
Download BIRT iHub F-Type - The Free Enterprise-Grade BIRT Server
from Actuate! Instantly Supercharge Your Business Reports and Dashboards
with Interactivity, Sharing, Native Excel Exports, App Integration & more
Get technology previously reserved for billion-dollar corporations, FREE
http://pubads.g.doubleclick.net/gampad/clk?id=190641631&iu=/4140/ostg.clktrk
_______________________________________________
Opticks-devs mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opticks-devs